package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

/* loaded from: com_datacloudsec_scan_cache.jar:com/datacloudsec/scan/cache/NetWork.class */
public class NetWork {
    private Map<String, Object> config;
    private static long lastMdfTime;
    public static File confFile = new File(Constant.WORK_DIR, "conf/network.json");
    private static NetWork instance;

    public Map<String, Object> getConfig() {
        return this.config;
    }

    private NetWork() {
    }

    public static synchronized NetWork getInstance() throws Exception {
        if (instance == null) {
            instance = new NetWork();
        }
        if (confFile != null && confFile.exists() && confFile.lastModified() != lastMdfTime) {
            if (confFile.length() > 0) {
                instance.config = (Map) JsonUtil.MAPPER_ESCAPE_HTML.readValue(confFile, Map.class);
            } else {
                instance.config = new HashMap();
            }
            lastMdfTime = confFile.lastModified();
        }
        return instance;
    }

    public static void main(String[] args) throws Exception {
        System.out.println(getInstance().getConfig());
    }
}
